package tutorialJava.capitulo3_bucles.ejercicios.bloque05;

public class Ej05_TrianguloPascal {

	public static void main(String[] args) {
		int filas = 5;
	
		for (int i = 0; i < filas; i++) {
			for (int j = 0; j < (filas - i); j++) {
				System.out.print(" ");
			}
			
			for (int j = 0; j <= i; j++) {
				int valor = (int) (factorial(i) / 
						(factorial(j) * factorial (i - j) ));
				System.out.print(valor + " ");
			}
			System.out.println("");
		}
	}
	
	/**
	 * 
	 * @param n
	 * @return
	 */
	public static float factorial (int n) {
		if (n == 0) {
			return 1;
		}
		for (int i = n - 1; i > 1; i--) {
			n *= i;
		}
		return n;
	}
}
